Bug 1009589 - [rhq-plugin] service state is NONE
[rhq-plugin] service state is NONE
Status: CLOSED WORKSFORME
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: JON (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity low
: ---
: 6.1.0
Assigned To: tcunning
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 12:26 EDT by Viet Nguyen
Modified: 2016-01-28 06:53 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If you stop a service from either the JON UI or the Admin console and then check the service state, you will see that it is reported as being NONE. This is due to SwitchYard reporting back the incorrect value.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-14 13:54:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (305.03 KB, image/png)
2013-09-18 12:27 EDT, Viet Nguyen
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker ENTESB-3631 Major Closed [rhq-plugin] service state is NONE 2016-01-28 06:53 EST
JBoss Issue Tracker SWITCHYARD-1828 Major Resolved Distinguish between binding lifecycle not present and stopped 2016-01-28 05:22 EST

  None (edit)
Description Viet Nguyen 2013-09-18 12:26:52 EDT
Description of problem:

"NONE" is used when service is in Stopped state. See attachment.

Version-Release number of selected component (if applicable):
master

How reproducible:
Stop a service either from JON UI or SOA Admin console.  Check trait value.
Comment 1 Viet Nguyen 2013-09-18 12:27:32 EDT
Created attachment 799480 [details]
screenshot
Comment 3 Mike Foley 2013-11-08 19:06:47 EST
retested by varun 11/9.  valid BZ,
Comment 4 kconner 2013-11-09 10:29:56 EST
The value is being returned from SwitchYard, will investigate

            "name" => "{urn:switchyard-quickstart:bean-service:0.1.0}OrderService",
            "application" => "{urn:switchyard-quickstart:bean-service:0.1.0}orders",
            "interface" => "wsdl/OrderService.wsdl#wsdl.porttype(OrderService)",
            "promotedService" => "{urn:switchyard-quickstart:bean-service:0.1.0}OrderService",
            "gateways" => [{
                "name" => "_OrderService_soap_1",
                "type" => "soap",
                "configuration" => "<binding.soap xmlns=\"urn:switchyard-component-soap:config:1.0\">
    <wsdl>wsdl/OrderService.wsdl</wsdl>
    <socketAddr>:18001</socketAddr>
    <contextPath>quickstart-bean</contextPath>
</binding.soap>",
                "state" => "NONE"
            }],
            "throttling" => {
                "enabled" => false,
                "maxRequests" => 0,
                "timePeriod" => 1000L
            }
Comment 6 tcunning 2015-07-14 13:54:52 EDT
We're moving to JIRA for tracking issues for Fuse 6.2.1.   Logged https://issues.jboss.org/browse/ENTESB-3631.    Closing this issue, work will continue at related JIRA.
Comment 7 JBoss JIRA Server 2015-07-15 17:24:18 EDT
Tom Cunningham <tcunning@redhat.com> updated the status of jira ENTESB-3631 to Resolved
Comment 8 JBoss JIRA Server 2016-01-28 06:53:43 EST
Tomas Plevko <tplevko@redhat.com> updated the status of jira ENTESB-3631 to Closed

Note You need to log in before you can comment on or make changes to this bug.